local ____lualib = require("lualib_bundle")
local __TS__ObjectEntries = ____lualib.__TS__ObjectEntries
local __TS__ArrayMap = ____lualib.__TS__ArrayMap
local __TS__New = ____lualib.__TS__New
local ____exports = {}
local ____bossIDToEntityTypeVariant = require("objects.bossIDToEntityTypeVariant")
local BOSS_ID_TO_ENTITY_TYPE_VARIANT = ____bossIDToEntityTypeVariant.BOSS_ID_TO_ENTITY_TYPE_VARIANT
local ____ReadonlyMap = require("types.ReadonlyMap")
local ReadonlyMap = ____ReadonlyMap.ReadonlyMap
____exports.ENTITY_TYPE_VARIANT_TO_BOSS_ID_MAP = __TS__New(
    ReadonlyMap,
    __TS__ArrayMap(
        {table.unpack(__TS__ObjectEntries(BOSS_ID_TO_ENTITY_TYPE_VARIANT))},
        function(____, ____bindingPattern0)
            local entityTypeVariant
            local bossIDRaw
            bossIDRaw = ____bindingPattern0[1]
            entityTypeVariant = ____bindingPattern0[2]
            local bossID = bossIDRaw
            local entityType, variant = table.unpack(entityTypeVariant)
            local entityTypeVariantString = (tostring(entityType) .. ".") .. tostring(variant)
            return {entityTypeVariantString, bossID}
        end
    )
)
return ____exports
